Class XmlExporterServlet

java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
org.synchronoss.cpo.core.exporter.XmlExporterServlet
All Implemented Interfaces:
Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class XmlExporterServlet extends javax.servlet.http.HttpServlet
Servlet that will output the current state of a meta descriptor in the form of xml. This xml can be opened in CpoUtil for viewing or any other means appropriate
Since:
7/16/12
Author:
Michael Bellomo
See Also:
  • Field Summary

    Fields
    Modifier and Type
    Field
    Description
    static final String
    Name of the request parameter that identifies which meta descriptor to export.
  • Constructor Summary

    Constructors
    Constructor
    Description
    Constructs the servlet.
  • Method Summary

    Modifier and Type
    Method
    Description
    void
    doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)
     
    void
    doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)
     

    Methods inherited from class javax.servlet.http.HttpServlet

    service

    Methods inherited from class javax.servlet.GenericServlet

    destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log

    Methods inherited from class java.lang.Object

    equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
  • Field Details

    • PARAM_META_DESCRIPTOR_NAME

      public static final String PARAM_META_DESCRIPTOR_NAME
      Name of the request parameter that identifies which meta descriptor to export.
      See Also:
  • Constructor Details

    • XmlExporterServlet

      public XmlExporterServlet()
      Constructs the servlet.
  • Method Details

    • doGet

      public void doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws javax.servlet.ServletException, IOException
      Throws:
      javax.servlet.ServletException
      IOException
    • doPost

      public void doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws javax.servlet.ServletException, IOException
      Throws:
      javax.servlet.ServletException
      IOException